Subject: Re: [MMUSIC] `

From: "Muthu Arul Mozhi Perumal (mperumal)" <[email-masked]>
Date: Fri, 5 Jul 2013 05:11:32 +0000

Hi Aurelien,

Partha and I had a discussion. Please see inline for [Muthu]:

|-----Original Message-----
|From: [email-masked] [mailto:[email-masked]]
|Sent: Thursday, July 04, 2013 3:44 PM
|To: Parthasarathi R; [email-masked]; Muthu Arul Mozhi Perumal (mperumal)
|Subject: RE:`
|
|Hello
|
|My answers inline
|(I removed the agreed parts)
|
|Aurelien
|
|-----Message d'origine-----
|De : Parthasarathi R [mailto:[email-masked]]
|Envoyé : mercredi 3 juillet 2013 19:29
|À : SOLLAUD Aurelien OLNC/OLN; [email-masked]; [email-masked] Objet : RE: comments on draft-ietf-
|mmusic-sdp-g723-g729-03
|
|Hi Aurelien,
|
|Sorry for the delay response. Thanks for the review comments.
|
|Please read inline.
|
|Thanks
|Partha
|
|> -----Original Message-----
|> From: [email-masked] [mailto:[email-masked]]
|> Sent: Thursday, June 27, 2013 1:52 PM
|> To: [email-masked]; [email-masked]; [email-masked]
|> Subject: comments on draft-ietf-mmusic-sdp-g723-g729-03
|>
|
|  (snip)
|>
|>
|> ** Section 3.1
|>
|> 2)
|> After the first paragraph, I suggest to insert the new paragraph below:
|>
|> ---NEW
|>  The Annex A of the codec concerns both sending and receiving, so both
|> sides of a bi-directional session MUST have the same setting.  If  one
|> party indicates that it does not support Annex A, Annex A  must be
|> deactivated both ways.
|> -----
|> That defines the general rationale of the following paragraphs.
|>
|<Partha> I agree with that it is the objective of this O/A requirement but how this statement
|qualifies for normative statement is not clear. From the offerer perspective, there is no control on
|same setting in both sides. In case you look at the combine requirements of this draft, this object is
|met.
|</Partha>
|
|[Aurelien] OK. I agree you can turn "MUST" into "must". I think this new paragraph helps anyway.

[Muthu] Agree it helps. However, the text could be reworded to make it crisper:
   
   The objective of the below statements is to make sure that if the offerer 
   or answerer indicates it does not support Annex A, Annex A is not used.

Does it sound good?

|
|
|>
|> 3)
|> -----
|>    When the offer has G723 with annexa=no then the answer MUST NOT have
|>    annexa=yes for G723.  Thus the annexa parameter can be turned off by
|>    the answerer, but cannot be turned on.
|> -----
|> I don't think this new requirement is needed.
|> Anyway implementation that will not implement this RFC-to-be will not
|> comply with it.
|>
|<Partha> As per based G723 RFC, it is expected for all the implementation to support annexa. This
|issue is discussed in http://www.ietf.org/mail-archive/web/mmusic/current/msg11165.html </Partha>
|
|[Aurelien] Yes I agree all implementations support annexa. What I called the RFC-to-be is the document
|draft-ietf-mmusic-sdp-g723-g729. My comment was that previous implementations will not comply with
|this "MUST NOT". A warning should be written on this. The receiver of the SDP should be tolerant and
|ready to receive SDP not compliant with this new requirement, without breaking.
|I the offer has annexa=no and the answer (of an old implementation) has annexa=yes, Annex A must not
|be used.
|It is the same kind of thing you describe later about the case where the offer has annexa=no and the
|answer has no annexa at all. Annex A must not be used.

[Muthu] Agree. I think both this paragraph and the later paragraph (that describes the case where the offer has annexa=no and the answer has no annexa at all) can be combined together:

   When the offer has G723 with annexa=no, after the offer/answer 
   completion the offerer and answerer MUST proceed as if G723 is 
   negotiated with annexa=no.

   When the offer has G723 with annexa=no, the reason for not mandating
   that the answer MUST have annexa=no for G723 is that there are there
   implementations that omit the annexa parameter in answer and expect
   the least common denominator to be used.

Does it sound good? 

|
|
|  (snip)
|>
|> ** Section 3.2
|>
|> 5)
|> After the first two paragraphs, I suggest to insert the new paragraph
|> below:
|>
|> ---NEW
|>  The Annex B of the codec concerns both sending and receiving, so both
|> sides of a bi-directional session MUST have the same setting.  If  one
|> party indicates that it does not support Annex B, Annex B must be
|> deactivated both ways.
|> -----
|> That defines the general rationale of the following paragraphs.
|>
|
|<Partha> Same as comment 2 reply. I agree with that it is the objective of this O/A requirement but
|how this statement qualifies for normative statement is not clear. From the offerer perspective, there
|is no control on same setting in both sides. In case you look at the combine requirements of this
|draft, this object is met. </Partha>
|
|[Aurelien] same as comment 2, you can keep it informative and turn the "MUST" into "must".

[Muthu] Same as above: 

   The objective of the below statements is to make sure that if the offerer 
   or answerer indicates it does not support Annex B, Annex B is not used.

Does it sound good?

|
|
|>
|> 6)
|> -----
|>    When the offer or answer has G729 and the annexb parameter is
|> absent,
|>    it MUST be considered as if the offer or answer has G729 with
|>    annexb=yes.
|> -----
|> This paragraph is redundant with what is said before.
|> Remove it.
|>
|>
|
|<Partha> As per based G729 RFC, it is expected for all the implementation to support annexb. This
|issue is discussed in http://www.ietf.org/mail-archive/web/mmusic/current/msg11165.html </Partha>
|
|[Aurelien] You did not understand me. I said to remove the paragraph because it is an exact repetition
|of text. I quote the whole text:
|
|----
|   When the offer or answer has G729 and the annexb parameter is absent,
|   the offerer or answerer knows that it has implied the default
|   "annexb=yes".  This is because the annexb attribute is part of the
|   original registration of audio/G729 [RFC4856].  All implementations
|   that support G729 understand the annexb attribute.  Hence, this case
|   MUST be considered as if the offer or answer has G729 with
|   annexb=yes.
|
|   When the offer or answer has G729 and the annexb parameter is absent,
|   it MUST be considered as if the offer or answer has G729 with
|   annexb=yes.
|----
|
|As you can see, the second paragraph says the exact same thing as the first one.

[Muthu] Agree, the second paragraph is redundant.

|
|
|> 7)
|> -----
|>    When the offer has G729 with annexb=no then the answer MUST NOT have
|>    annexb=yes for G729.  Thus the annexb parameter can be turned off by
|>    the answerer, but cannot be turned on.
|> -----
|> I don't think this new requirement is needed.
|> For the same reason as for G723
|>
|<Partha> Same reply as comment 3. As per based G729 RFC, it is expected for all the implementation to
|support annexb. This issue is discussed in http://www.ietf.org/mail-
|archive/web/mmusic/current/msg11165.html </Partha>
|
|[Aurelien] Same as comment 3, I suggest adding a warning on previous implementation that may not
|comply with this new requirement.

[Muthu] Same as above:

   When the offer has G729 with annexb=no, after the offer/answer 
   completion the offerer and answerer MUST proceed as if G729 is 
   negotiated with annexb=no.

   When the offer has G729 with annexb=no, the reason for not mandating
   that the answer MUST have annexb=no for G729 is that there are there
   implementations that omit the annexb parameter in answer and expect
   the least common denominator to be used.

Does it sound good?

Thanks for your inputs,

Muthu

|
|  (snip)
|
|______________________________________________________________________________________________________
|___________________
|
|Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et
|ne doivent donc
|pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur,
|veuillez le signaler
|a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant
|susceptibles d'alteration,
|Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
|
|This message and its attachments may contain confidential or privileged information that may be
|protected by law;
|they should not be distributed, used or copied without authorisation.
|If you have received this email in error, please notify the sender and delete this message and its
|attachments.
|As emails may be altered, Orange is not liable for messages that have been modified, changed or
|falsified.
|Thank you.